Subject: Re: [bug-diffutils] bug#48062: bug#48062: make check fails if configured with --program-prefix
From: Jim Meyering <[email-masked]>
To: Collin Funk <[email-masked]>
Cc: Paul Eggert <[email-masked]>, [email-masked]
Date: Mon, 24 Jun 2024 18:20:01 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On Mon, Jun 24, 2024 at 3:57 PM Collin Funk <[email-masked]> wrote:
>
> Paul Eggert <[email-masked]> writes:
>
> > I'm not seeing that on my Fedora 40 build of diffutils. There is no
> > file diffutils/gnulib-tests/test-pthread-cond.c in my source tree,
> > after running './bootstrap --gnulib-refdir=$HOME/src/gnu/gnulib' in a
> > fresh diffutils clone. Also, in a current Gnulib the command
> > './gnulib-tool --test pthread-cond' works for me.
> >
> > Perhaps some files left over from one of your previous diffutils
> > builds need to be cleaned out?
>
> Mine works fine on Fedora 40 as well. Probably old files like Paul said.
> I habitually run 'git clean -xdf' and './boostrap && ./configure' so I'm
> not sure how possible that is. :)
>
> Also, feel free to close this bug. I'm not very familiar with debbugs,
> sorry.

Thank you both for confirming.
I too have confirmed that in a clean clone, there's no problem.

I'm closing this bug by changing my reply-all recipient address
[email-masked] to [email-masked]